#
# Be sure to run `pod lib lint APMServices.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'APMServices'
  s.version          = '1.6.1'
  s.summary          = 'app\'s miles® boosts your app\'s usage'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
app\'s miles® boosts your app\'s usage
Increase the traffic to your mobile app by reaching 100% of your visitors rather than the 2% who are converted and nudging them toward more profitable actions (visits, registration, sharing, purchases, feedback, etc.)
Often to make visiting your mobile app an automatic reflex with gifts & gift cards that can be used directly from a cell phone and retain all of the customers in touch with your brand: before, during and after the purchase process
Our technical team supports you in the installation of our SDK
Our marketing experts guides you in setting up your animation campaign
Your account manager creates your campaigns, analyzes them and then returns you the results
Website : http://www.appsmiles.eu/?lang=en
                       DESC

  s.homepage         = 'https://gitlab.appsmiles.eu/appsmiles-public/APMServices-SDK-iOS'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'Vincent Ducastel' => 'vincent@appsmiles.fr', 'Dev' => 'dev@appsmiles.fr' }
  s.source           = { :git => 'https://gitlab.appsmiles.eu/appsmiles-public/APMServices-SDK-iOS.git', :tag => s.version.to_s }
  s.social_media_url = 'https://twitter.com/apps_miles'

  s.ios.deployment_target = '7.0'

  s.frameworks = 'APMServices'
  s.vendored_frameworks = 'APMServices/Frameworks/APMServices.framework'
end
