//
//  APMGift.h
//  APMServices
//
//  Created by Vincent Ducastel on 12/01/2015.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@interface APMGift : APMModel<NSCoding, NSCopying>

@property (nonatomic, assign) NSInteger giftID;
@property (nonatomic, strong) NSString *partnerLabel;
@property (nonatomic, strong) NSString *label;
@property (nonatomic, strong) NSString *content;
@property (nonatomic, assign) NSInteger value;
@property (nonatomic, assign) NSInteger type;
@property (nonatomic, strong) NSString *code;
@property (nonatomic, strong) NSString *conditions;
@property (nonatomic, assign) BOOL isEnough;
@property (nonatomic, assign) NSInteger quantity;
@property (nonatomic, assign) NSInteger total;
@property (nonatomic, strong) NSString *confirmMessage;

@property (nonatomic, strong) NSString *media;
@property (nonatomic, strong) UIImage *imageMedia;
@property (nonatomic, assign) BOOL isImageMediaLoading;
@property (nonatomic, assign) NSInteger countImageMediaLoad;

@property (nonatomic, assign) NSInteger nature;
@property (nonatomic, assign) NSInteger accessibility;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;
-(void)resetImageMediaLoading;
-(BOOL)isAccessible;

@end
