//
//  APMImagesUtils.h
//  APMServices
//
//  Created by Vincent Ducastel on 10/08/2015.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

@class APMGift;
@class APMAd;
@class APMBurn;
@class APMPartner;

@interface APMImagesUtils : NSObject

+(void)buildMediaGift:(APMGift*)gift
            imageView:(UIImageView*)imageView tagImageView:(NSInteger)tagImageView
               loader:(UIActivityIndicatorView*)loader tagLoader:(NSInteger)tagLoader
             logoEmpty:(UIView*)logoEmpty tagLogoEmpty:(NSInteger)tagLogoEmpty
            tableView:(id)tableView indexPath:(NSIndexPath*)indexPath;

+(void)buildMediaBurn:(APMBurn*)burn
            imageView:(UIImageView*)imageView tagImageView:(NSInteger)tagImageView
               loader:(UIActivityIndicatorView*)loader tagLoader:(NSInteger)tagLoader
             logoEmpty:(UIView*)logoEmpty tagLogoEmpty:(NSInteger)tagLogoEmpty
            tableView:(id)tableView indexPath:(NSIndexPath*)indexPath;

+(void)buildMediaAd:(APMAd*)ad
               imageView:(UIImageView*)imageView tagImageView:(NSInteger)tagImageView
                  loader:(UIActivityIndicatorView*)loader tagLoader:(NSInteger)tagLoader
                logoEmpty:(UIView*)logoEmpty tagLogoEmpty:(NSInteger)tagLogoEmpty
               tableView:(id)tableView indexPath:(NSIndexPath*)indexPath;

+(void)buildLargeMediaAd:(APMAd*)ad
               imageView:(UIImageView*)imageView tagImageView:(NSInteger)tagImageView
                  loader:(UIActivityIndicatorView*)loader tagLoader:(NSInteger)tagLoader
                logoEmpty:(UIView*)logoEmpty tagLogoEmpty:(NSInteger)tagLogoEmpty
               tableView:(id)tableView indexPath:(NSIndexPath*)indexPath;

+(void)buildMediaPartner:(APMPartner*)partner
            imageView:(UIImageView*)imageView tagImageView:(NSInteger)tagImageView
               loader:(UIActivityIndicatorView*)loader tagLoader:(NSInteger)tagLoader
             logoEmpty:(UIView*)logoEmpty tagLogoEmpty:(NSInteger)tagLogoEmpty
            tableView:(id)tableView indexPath:(NSIndexPath*)indexPath;

+(UIImage*)generateBarcodeImageWithValue:(NSString*)value;
+(UIImage*)generateQRCodeImageWithValue:(NSString*)value;

@end
